Bug 811730 - hpaio missing in dll.conf for network scanner
hpaio missing in dll.conf for network scanner
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-11 16:04 EDT by Luya Tshimbalanga
Modified: 2012-04-23 14:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-23 14:04:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luya Tshimbalanga 2012-04-11 16:04:37 EDT
Description of problem:
dll.conf missed hpaio name after installing libsane-hpaio which is needed for network scanner

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use Printers inside System Setting on Gnome Shell
2. An networked HP all-in-one printer (Photosmart eStation in this example) should be detected and appropriate drivers assigned
Actual results:
hpaio is missing in dll.conf

Expected results:
hpaio library should be included in /etc/sane.d/dll.conf allowing functionality of scanner from a networked all-in-one printer

Additional info:
Comment 1 Nils Philippsen 2012-04-16 06:11:10 EDT
The libsane-hpaio package ships /etc/sane.d/dll.d/hpaio which should be sufficient to enable the hpaio backend driver. Before libsane looked in dll.d/ for files like this, external drivers like hpaio needed to manipulate dll.conf directly, but this is fortunately no longer necessary.

Do you have an issue with your scanner not being recognized?
Comment 2 Luya Tshimbalanga 2012-04-16 22:33:42 EDT
Good to know. It turned out the printing system detection on Gnome-Shell did not pick the right driver for HP Photosmart eStation c510a (hplips) through the network hence the seemly lack of scanner presence. 

I had to use system-config-printers application to get that network scanner functionality. In that case, gnome printing system should use hplip by default. You can close the bug if you like. Thanks for the hint.

Note You need to log in before you can comment on or make changes to this bug.